c.......................................................................
c
c     ralisation d'une variable alatoire $V$ de loi lorentzienne
c     en (fausse) double precision
c
c     $V$ est dfini sur $[-\infty,+\infty]$
c     $p_V(\nu)=\frac{\gamma}{\pi[(\nu-\nu_c)^2 + \gamma^2]}$
c     o $\nu_c$ est la frquence de centre de la raie
c     et $\gamma$ est la demi largeur de raie  mi-hauteur
c
c.......................................................................
c
c     nu_c : $\nu_c$
c     gamma : $\gamma$
c     nu_i : la ralisation
c
c.......................................................................
      SUBROUTINE rand_lorentz(nu_c,gamma,nu_i)
      IMPLICIT NONE
      DOUBLE PRECISION nu_c,gamma,nu_i
c.......................................................................
      DOUBLE PRECISION r,pi
      PARAMETER(pi=3.141592654)
      CALL rand_uniforme(r)
      nu_i=nu_c+gamma*tan(pi/2.*(2.*r-1.))
c.......................................................................
      RETURN
      END
